
function tran = tranparam_samptran(theta, numsamp, ttype, tparam)
%tranparam_samptran     Sample transformations using given parameters

switch ttype,
case 0,   % No transformations
  tran = zeros(1,numsamp);

case 1,   % Inverse-Wishart (constrained zero mean)
  dim   = tparam(1);
  sigma = reshape(theta,dim,dim);

  tran  = chol(sigma)'*randn(dim,numsamp);

case 2,   % Diagonal Inverse-Wishart (constrained zero mean)
  dim   = tparam(1);
  sigma = sqrt(theta);

  tran  = randn(dim,numsamp) ./ sigma(:,ones(1,numsamp));

end

