
function data = getdata(tdp,groups)
%getdata    Retrieve data for specified groups
%
%    data = getdata(tdp,groups)
%
%  Return data points currently stored in tdp, where
%    data{j} = cell array of data points in groups(j)

if nargin < 2
  groups = [1:tdp.numgroup];
end

% data structures to store results
data = cell(length(groups),1);

% compute transformed mixtures, or tables, for each specified group
for j=1:length(groups)
  jj = groups(j);
  data{j} = tdp.datass{jj};
end

