
function depth = getdepth(tdp,groups)
%getdepth    Currently estimated 3D world coordinates for specified groups
%
%    depth = getdepth(TDP, groups)
%
%  Return current estimates of 3D coordinates of features, where
%    groups   = groups (images) for which depth estimated (by default, all)
%    depth{j} = columns are world coordinates for all features in groups(j)

if nargin < 2
  groups = [1:tdp.numgroup];
end

% data structures to store results
depth = cell(length(groups),1);

% compute transformed mixtures, or tables, for each specified group
for j=1:length(groups)
  ss = tdp.datass{groups(j)}{1};
  ss(1:2,:) = ss(1:2,:) .* ss([3;3],:); % project to 3D
  depth{j}  = ss;
end

