
function tdp = setdepth(tdp, newdepth, jj)
%setdepth    Change depth likelihoods for all features in specified group
%
%    TDP = setdepth(TDP, newdepth, group)
%
%  Set new depth likelihoods for all features in specified group, where
%    newdepth = matrix where each column is depth likelihood for different feature,
%               or single column vector giving likelihood for all features
%    group    = single group to change depth likelihoods

if nargin < 3
  error('Insufficient arguments');
end

numdata = tdp.numdata(jj);

if size(newdepth,2) == 1
  newdepth = newdepth(:,ones(1,numdata));
elseif numdata ~= size(newdepth,2)
  error('Improper number of depth likelihood functions');
end

tdp.datass{jj}{3} = newdepth;

