
%dictionaryKmeans    Vector quantizes SIFT descriptors to create visual words

clear all
close all

scalingDescriptor = 1; % 1 = no scaling. %sqrt(2);
NumberWords = 600;     % number of discrete words
Nimages = 1000;        % number of images used to compute the dictionary

% The dictionary of words is computed using the images from the dataset:
folderDictionary = '../../database/imagesSharingIJCV/background';

images = dir(fullfile(folderDictionary, '*.jpg'));
NimagesTotal = length(images);
r = randperm(NimagesTotal);

figure
Feat = [];
disp('Read images to build the dictionary')
for i = 1:Nimages
    % read image
    filename = fullfile(folderDictionary, images(r(i)).name);
    img = imread(filename); 
    
    % get SIFT descriptiors and locations 
    % Feat(1:5,:) = location and region cov. matrix, 
    % Feat(6:end,:) = SIFT descriptor
    [feat, type] = h_affine(img, scalingDescriptor);

    % display detected features
    cla; displayROI(img, feat, type); title([i Nimages]); drawnow

    % concatenated with previous ones:
    Feat = [Feat feat];
end

% Create dictionary by applying Kmeans to the dataset:
disp('Create dictionary with Kmeans')
clear img feat
[IDX, DICTvisualWords] = kmeans(Feat(6:end,1:10:end)', NumberWords, 'Display', 'iter', 'maxiter', 40);

save (['dictionaryVisualWordsSIFT_' folder],  'DICTvisualWords', 'NumberWords', 'scalingDescriptor')


