
%precomputeSIFT    Compute and save SIFT descriptors for all images in database

clear all
close all

scalingDescriptor = 1; % 1 = no scaling. %sqrt(2);

folderDatabase = '../../database/imagesSharingIJCV';

folders = dir(folderDatabase); folders = folders(3:end);
Nfolders = length(folders);
ndx = 0;

for n = 1:Nfolders
    images = dir(fullfile(folderDatabase, folders(n).name, '*.jpg'));
    Nimages = length(images);
    for i = 1:Nimages
        filename = fullfile(folderDatabase, folders(n).name, images(i).name);
        img = imread(filename);
        
        % get SIFT descriptiors and locations 
        % Feat(1:5,:) = location and region cov. matrix, 
        % Feat(6:end,:) = SIFT descriptor
        [feat, type] = h_affine(img, scalingDescriptor);

        % display detected features
        cla; displayROI(img, feat, type); 
        colormap(gray(256))
        title([i Nimages ndx]); drawnow

        % concatenated with previous ones:
        ndx = ndx+1;
        Descriptor{ndx}  = uint8(feat(6:end,:));
        Location{ndx}  = feat(1:5,:);
        classes(ndx) = n;
        file{ndx}  = fullfile(folders(n).name, images(i).name);
    end
    
    % store at each loop just in case it crashes
    save imagesSharingIJCV_SIFT Location Descriptor classes file n folders
end

